Subject: Re: [PATCH v3 19/27] refs: add a concept of a reference transaction

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Apr 2014 00:40:56 -0700

Michael Haggerty <[email-masked]> writes:

> In retrospect, you might have been objecting more to the misleading
> docstring than to the behavior as implemented at the time.  

Yeah, I was reacting to the comment that said create can delete ;-)

> The
> docstring implied that create could actually be used to delete a
> reference, but that was not true: it always checked that the reference
> didn't exist beforehand.  So at worst it could leave a non-existent
> reference un-created.

OK, all is clear then.  

>>  (2) keep the assert(), reject such user input at the callers, and
>>      document that these are invalid inputs;
>
> The current status in v3 is that (2) is implemented.

Good.  Thanks.